<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2
        id="jhi-offered-item-heading"
        data-cy="OfferedItemCreateUpdateHeading"
        jhiTranslate="realTimeBeveragesApp.offeredItem.home.createOrEditLabel"
      >
        Offered Item erstellen oder bearbeiten
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id" jhiTranslate="realTimeBeveragesApp.offeredItem.id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_name" jhiTranslate="realTimeBeveragesApp.offeredItem.name">Name</label>
          <input type="text" class="form-control" name="name" id="field_name" data-cy="name" formControlName="name" />
          @if (editForm.get('name')!.invalid && (editForm.get('name')!.dirty || editForm.get('name')!.touched)) {
            <div>
              @if (editForm.get('name')?.errors?.required) {
                <small class="form-text text-danger" jhiTranslate="entity.validation.required">Dieses Feld wird benötigt.</small>
              }
              @if (editForm.get('name')?.errors?.minlength) {
                <small class="form-text text-danger" jhiTranslate="entity.validation.minlength" [translateValues]="{ min: '1' }"
                  >Dieses Feld muss mind. 1 Zeichen lang sein.</small
                >
              }
            </div>
          }
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_stock" jhiTranslate="realTimeBeveragesApp.offeredItem.stock">Stock</label>
          <input type="number" class="form-control" name="stock" id="field_stock" data-cy="stock" formControlName="stock" />
          @if (editForm.get('stock')!.invalid && (editForm.get('stock')!.dirty || editForm.get('stock')!.touched)) {
            <div>
              @if (editForm.get('stock')?.errors?.required) {
                <small class="form-text text-danger" jhiTranslate="entity.validation.required">Dieses Feld wird benötigt.</small>
              }
              @if (editForm.get('stock')?.errors?.min) {
                <small class="form-text text-danger" jhiTranslate="entity.validation.min" [translateValues]="{ min: '0' }"
                  >Dieses Feld muss mind. 0 sein.</small
                >
              }
              <small class="form-text text-danger" [hidden]="!editForm.get('stock')?.errors?.number" jhiTranslate="entity.validation.number"
                >Dieses Feld muss eine Zahl sein.</small
              >
            </div>
          }
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_price" jhiTranslate="realTimeBeveragesApp.offeredItem.price">Price</label>
          <input type="number" class="form-control" name="price" id="field_price" data-cy="price" formControlName="price" />
          @if (editForm.get('price')!.invalid && (editForm.get('price')!.dirty || editForm.get('price')!.touched)) {
            <div>
              @if (editForm.get('price')?.errors?.required) {
                <small class="form-text text-danger" jhiTranslate="entity.validation.required">Dieses Feld wird benötigt.</small>
              }
              @if (editForm.get('price')?.errors?.min) {
                <small class="form-text text-danger" jhiTranslate="entity.validation.min" [translateValues]="{ min: '0' }"
                  >Dieses Feld muss mind. 0 sein.</small
                >
              }
              <small class="form-text text-danger" [hidden]="!editForm.get('price')?.errors?.number" jhiTranslate="entity.validation.number"
                >Dieses Feld muss eine Zahl sein.</small
              >
            </div>
          }
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_hidden" jhiTranslate="realTimeBeveragesApp.offeredItem.hidden">Hidden</label>
          <input type="checkbox" class="form-check" name="hidden" id="field_hidden" data-cy="hidden" formControlName="hidden" />
          @if (editForm.get('hidden')!.invalid && (editForm.get('hidden')!.dirty || editForm.get('hidden')!.touched)) {
            <div>
              @if (editForm.get('hidden')?.errors?.required) {
                <small class="form-text text-danger" jhiTranslate="entity.validation.required">Dieses Feld wird benötigt.</small>
              }
            </div>
          }
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_image" jhiTranslate="realTimeBeveragesApp.offeredItem.image">Image</label>
          <div>
            @if (editForm.get('image')!.value) {
              <img
                [src]="'data:' + editForm.get('imageContentType')!.value + ';base64,' + editForm.get('image')!.value"
                style="max-height: 100px"
                alt="offeredItem"
              />
            }
            @if (editForm.get('image')!.value) {
              <div class="form-text text-danger clearfix">
                <span class="pull-start">{{ editForm.get('imageContentType')!.value }}, {{ byteSize(editForm.get('image')!.value!) }}</span>
                <button
                  type="button"
                  (click)="clearInputImage('image', 'imageContentType', 'file_image')"
                  class="btn btn-secondary btn-xs pull-end"
                >
                  <fa-icon icon="times"></fa-icon>
                </button>
              </div>
            }
            <input
              type="file"
              id="file_image"
              data-cy="image"
              (change)="setFileData($event, 'image', true)"
              accept="image/*"
              jhiTranslate="entity.action.addimage"
            />
          </div>
          <input type="hidden" class="form-control" name="image" id="field_image" data-cy="image" formControlName="image" />
          <input
            type="hidden"
            class="form-control"
            name="imageContentType"
            id="field_imageContentType"
            formControlName="imageContentType"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_limitedStockThreshold" jhiTranslate="realTimeBeveragesApp.offeredItem.limitedStockThreshold"
            >Limited Stock Threshold</label
          >
          <input
            type="number"
            class="form-control"
            name="limitedStockThreshold"
            id="field_limitedStockThreshold"
            data-cy="limitedStockThreshold"
            formControlName="limitedStockThreshold"
          />
          @if (
            editForm.get('limitedStockThreshold')!.invalid &&
            (editForm.get('limitedStockThreshold')!.dirty || editForm.get('limitedStockThreshold')!.touched)
          ) {
            <div>
              @if (editForm.get('limitedStockThreshold')?.errors?.required) {
                <small class="form-text text-danger" jhiTranslate="entity.validation.required">Dieses Feld wird benötigt.</small>
              }
              @if (editForm.get('limitedStockThreshold')?.errors?.min) {
                <small class="form-text text-danger" jhiTranslate="entity.validation.min" [translateValues]="{ min: '0' }"
                  >Dieses Feld muss mind. 0 sein.</small
                >
              }
              <small
                class="form-text text-danger"
                [hidden]="!editForm.get('limitedStockThreshold')?.errors?.number"
                jhiTranslate="entity.validation.number"
                >Dieses Feld muss eine Zahl sein.</small
              >
            </div>
          }
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_category" jhiTranslate="realTimeBeveragesApp.offeredItem.category">Category</label>
          <input type="text" class="form-control" name="category" id="field_category" data-cy="category" formControlName="category" />
          @if (editForm.get('category')!.invalid && (editForm.get('category')!.dirty || editForm.get('category')!.touched)) {
            <div>
              @if (editForm.get('category')?.errors?.minlength) {
                <small class="form-text text-danger" jhiTranslate="entity.validation.minlength" [translateValues]="{ min: '1' }"
                  >Dieses Feld muss mind. 1 Zeichen lang sein.</small
                >
              }
            </div>
          }
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Abbrechen</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Speichern</span>
        </button>
      </div>
    </form>
  </div>
</div>
